<?php

namespace app\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\CotizacionItems;

/**
 * CotizacionItemsSearch represents the model behind the search form of `app\models\CotizacionItems`.
 */
class CotizacionItemsSearch extends CotizacionItems
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'cotizacion_id', 'producto_id', 'linea_item', 'cantidad_cartones'], 'integer'],
            [['precio_unitario_fob'], 'number'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     * @param string|null $formName Form name to be used into `->load()` method.
     *
     * @return ActiveDataProvider
     */
    public function search($params, $formName = null)
    {
        $query = CotizacionItems::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params, $formName);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'cotizacion_id' => $this->cotizacion_id,
            'producto_id' => $this->producto_id,
            'linea_item' => $this->linea_item,
            'cantidad_cartones' => $this->cantidad_cartones,
            'precio_unitario_fob' => $this->precio_unitario_fob,
        ]);

        return $dataProvider;
    }
}
